import { IReportRequest } from "peekdata-datagateway-api-sdk";
import React from "react";
import { ITranslations } from "src/ReportBuilder/models/translations";
interface IStateProps {
    request: IReportRequest;
    t: ITranslations;
}
interface IDispatchProps {
}
interface IOwnProps {
    baseURL: string;
}
interface IProps extends IStateProps, IDispatchProps, IOwnProps {
}
interface IState {
    isOpen: boolean;
    selected: string;
}
declare class ViewRequest extends React.PureComponent<IProps, IState> {
    constructor(props: IProps);
    render(): JSX.Element;
    private getOptions;
    private onSelect;
    private renderViewRequestModal;
    private onOpenModal;
    private onCloseModal;
}
declare const connected: import("react-redux").ConnectedComponent<typeof ViewRequest, Pick<IProps, "baseURL"> & IOwnProps>;
export { connected as ViewRequest };
