import { IReportColumnHeader, IReportOptimizedDataRow } from 'peekdata-datagateway-api-sdk';
import { ISelectedNode } from 'src/ReportBuilder/models/node';
import { IRgb } from 'src/ReportBuilder/utils/Color';
export declare function getDataIndexes(data: ISelectedNode[], headers: IReportColumnHeader[]): number[];
export declare function getDataSets(rows: IReportOptimizedDataRow[], headers: IReportColumnHeader[], indexes: number[]): any[];
export declare function getChartLabels(rows: IReportOptimizedDataRow[], indexes: number[]): any[];
export declare function customizeOvalChartLabel(item: any, data: any): string;
export declare function customizeRadarChartLabel(item: any, data: any): string;
export declare function generateChartColors(labels: any, datasets: any, baseChartColors: IRgb[]): {
    backgroundColor: any[];
    borderColor: any[];
};
export declare function colorizeChart(datasets: any, backgroundColor: any, borderColor: any): void;
export declare function colorizeOvalChart(datasets: any, backgroundColor: any, borderColor?: string): void;
