import React from 'react';
import { Languages } from 'src/ReportBuilder/constants/languages';
import { ITranslations } from 'src/ReportBuilder/models/translations';
import 'src/style/components/contentWithCopy.scss';
interface IProps {
    body: string;
    language?: Languages;
    t: ITranslations;
}
interface IState {
    justCopiedToClipboard: boolean;
}
export declare class ContentWithCopy extends React.PureComponent<IProps, IState> {
    private successMessageTimeout;
    constructor(props: IProps);
    componentWillUnmount(): void;
    render(): JSX.Element;
    private renderContentToCopy;
    private renderCopyButton;
    private onCopyClick;
}
export {};
