import { Component } from 'react';
import 'src/style/components/dropDownList.scss';
interface IProps {
    list: Map<string, string>;
    selected: string;
    disabled?: boolean;
    defaultLabel?: string;
    itemSelectedCallback: (listItem: string) => void;
}
interface IState {
    listVisible: boolean;
}
export declare class DropDownList extends Component<IProps, IState> {
    constructor(props: IProps);
    render(): JSX.Element;
    private renderListItems;
    private select;
    private show;
    private hide;
}
export {};
