import { INode } from 'peekdata-datagateway-api-sdk';
import React from 'react';
import 'src/style/components/dropDownListWithSearch.scss';
declare type ListItem = string | INode;
interface IProps {
    list: ListItem[];
    selected: string | string[];
    placeholder?: string;
    disabled?: boolean;
    isClearable?: boolean;
    isMulti?: boolean;
    noResultsText?: string;
    hideOptions?: boolean;
    optionSelectedCallback: (selectedValue: any) => void;
}
interface IState {
    expandedGroups: string[];
    showOptions: boolean;
}
export declare class DropDownListWithSearch extends React.PureComponent<IProps, IState> {
    private selectRef;
    constructor(props: IProps);
    render(): JSX.Element;
    private getGroups;
    private getGroupOptions;
    private onChange;
    private onInputChange;
    private onMenuClose;
    private formatGroupLabel;
    private formatOptionLabel;
    private toggleOptions;
}
export {};
