import React from "react";
import { IFilter } from "src/ReportBuilder/models/filter";
import { IDimension } from "src/ReportBuilder/models/node";
import { ITranslations } from "src/ReportBuilder/models/translations";
import { IChangeFilterInput, ISelectFilter } from "src/ReportBuilder/state/actions";
interface IStateProps {
    filters: IFilter[];
    dimensions: IDimension[];
    t: ITranslations;
}
interface IDispatchProps {
    onFilterAddClicked: () => void;
    onFilterOptionSelected: (payload: ISelectFilter) => void;
    onFilterInputChanged: (payload: IChangeFilterInput) => void;
    onFilterRemoveClicked: (payload: IFilter) => void;
    onGenerateReportRequest: () => void;
}
interface IOwnProps {
}
interface IProps extends IStateProps, IDispatchProps, IOwnProps {
}
declare class FilterControls extends React.PureComponent<IProps> {
    render(): JSX.Element;
}
declare const connected: import("react-redux").ConnectedComponent<typeof FilterControls, Pick<IProps, never> & IOwnProps>;
export { connected as FilterControls };
