import { INode, ReportColumnType } from 'peekdata-datagateway-api-sdk';
import React from 'react';
import { ISelectedNode } from 'src/ReportBuilder/models/node';
import { ISelectNodePayload, ISortOrderNodePayload } from 'src/ReportBuilder/state/actions';
export interface ISortableItemProps {
    options: INode[];
    optionType: ReportColumnType;
    placeholder: string;
    noResultsText: string;
    selectedOption?: ISelectedNode;
    selectDisabled?: boolean;
    sortButton?: React.ReactNode;
    onOptionSelected: (payload: ISelectNodePayload) => void;
    onOptionUnselected: (payload: ISelectNodePayload) => void;
    onSortOrder: (payload: ISortOrderNodePayload) => void;
}
export declare class DragHandle extends React.PureComponent<ISortableItemProps> {
    render(): JSX.Element;
    private renderSortButton;
    private onSortClick;
}
