import { ReportColumnType } from "peekdata-datagateway-api-sdk";
import { ISelectedNode } from "src/ReportBuilder/models/node";
import { ITranslations } from "src/ReportBuilder/models/translations";
import { ISortableItemProps } from "./DragHandle";
export interface ISortableListProps extends ISortableItemProps {
    selectedOptions: ISelectedNode[];
    buttonTitle: string;
    listTitle: string;
    showButton?: boolean;
    isOptional?: boolean;
    t: ITranslations;
    onOptionAdded: (payload: ReportColumnType) => void;
}
declare const withSortableContainer: any;
export { withSortableContainer as SortableList };
