import React from "react";
import { ITranslations } from "src/ReportBuilder/models/translations";
interface IProps {
    startWithRow: number;
    limitRowsTo: number;
    showRowsOffset: boolean;
    showRowsLimit: boolean;
    maxRowsLimit: number;
    t: ITranslations;
    onStartWithRowChanged(value: number): any;
    onLimitRowsToChanged(value: number): any;
}
export declare class RowsLimitInput extends React.PureComponent<IProps> {
    render(): JSX.Element;
    private renderOffsetField;
    private renderRowsLimitField;
}
export {};
